# =========================================================================
# Very handy makefile with two targets:
#  all - makes $(target) (must be defined ealier);
#  clean - erases all temporary files.
# =========================================================================
all:$(target)
.$(lang).o:
	$(cc) $(ccflags) $(cdebug) $*.$(lang)
# $(rtl_libs) must be LAST library list (see ./arch.mak)
$(target):$(target).o $(other_objects) $(libv) $(headers)
	$(ld) $(target).o $(other_objects) $(libv) \
		$(x11_libs) $(other_libs) $(ldflags) $(rtl_libs) -o $(target)
clean:
	$(rm) core
	$(rm) *.o
	$(rm) $(target)
	$(rm) $(target).core
force:
	make clean
	make all
